#include <iostream>
#include <vector>
#include <algorithm>
using namespace std;
int main() {
	int n;
	cin>>n;
	vector<int> a(n), b(n);
	for (int i=0; i<n; i++) cin>>a[i];
	for (int i=0; i<n; i++) cin>>b[i];
	int mv=0;
	for (int l=0; l<n; l++) {
		int xv=0;
		int av=~0;
		for (int r=l; r<n; r++) {
			xv^=a[r];
			av&=b[r];
			int cv=xv*av;
			mv=max(mv, cv);
		}
	}
	cout<<mv;
}